Package weka.gui.treevisualizer

# Class TreeBuild

java.lang.Object
weka.gui.treevisualizer.TreeBuild

public class TreeBuild extends Object
This class will parse a dotty file and construct a tree structure from it with Edge's and Node's

Version:
  $Revision: 9097 $
Author:
  Malcolm Ware (mfw4@cs.waikato.ac.nz)

## Constructor Summary

Constructors
Constructor
Description
`TreeBuild()`
Upon construction this will only setup the color table for quick reference of a color.

## Method Summary

Modifier and Type
Method
Description
`Node`
`create(Reader t)`
This will build A node structure from the dotty format passed.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TreeBuild

public TreeBuild()
Upon construction this will only setup the color table for quick reference of a color.

## Method Details

### create

public Node create(Reader t)
This will build A node structure from the dotty format passed. Don't send a dotty format with multiple parents per node, and ensure that there is 1 and only 1 node with no parent.

Parameters:
  `t` - The reader with the dotty string to be read.
Returns:
  The top node of the tree structure (the last node with no parent).